%define	release	11

Name:		osie
Version:	1.0.0
Release:	%mkrel %{release}
Summary:	OpenTTD screenshot information extractor
Group:          Graphics/Utilities
License:	GPLv2
URl:		https://www.openttd.org/
Source0:	https://ftp.snt.utwente.nl/pub/games/openttd/binaries/extra/%{name}/%{version}/%{name}-%{version}-source.tar.gz
Patch0:		osie-1.0.0-add_makefile.local_support.patch
BuildRequires:	pkgconfig(libpng)

%description
osie (OpenTTD screenshot information extractor) extracts the information
stored in OpenTTD's PNG screenshots such as the version, NewGRFs and AIs.

%prep
%setup -q
%patch -P 0 -p0 -b .addlocalsupport

cat >> Makefile.local << EOF
prefix = %{_prefix}
DO_NOT_INSTALL_CHANGELOG = 1
DO_NOT_INSTALL_LICENSE = 1
DO_NOT_INSTALL_DOCS = 1
EOF

%build
%set_build_flags
%make_build

%install
%make_install

%files
%doc docs/readme.txt changelog.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.0.0-11.mga10
+ Revision: 2128006
- Rebuild for patchN deprecation

* Thu Mar 17 2022 umeabot <umeabot> 1.0.0-10.mga9
+ Revision: 1796715
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-9.mga8
+ Revision: 1515736
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1300063
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 931969
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 751004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 683278
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 526189
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.0.0-3.mga4
+ Revision: 436034
- rebuild for new libpng

* Thu Jan 24 2013 fwang <fwang> 1.0.0-2.mga3
+ Revision: 391887
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 wally <wally> 1.0.0-1.mga2
+ Revision: 41800
- imported package osie

